[Bug 1029476] Re: Remove qt-x11-free from the archive

Scott Kitterman ubuntu at kitterman.com
Mon Sep 24 16:06:28 UTC 2012


Removing packages:
        inguma 0.0.7.2-2 in quantal
                inguma 0.0.7.2-2 in quantal amd64
                inguma 0.0.7.2-2 in quantal armel
                inguma 0.0.7.2-2 in quantal armhf
                inguma 0.0.7.2-2 in quantal i386
                inguma 0.0.7.2-2 in quantal powerpc
Comment: Qt3 Removal, LP: #1029476
Remove [y|N]? y
1 package successfully removed.


** Changed in: inguma (Ubuntu)
       Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to lsb in Ubuntu.
https://bugs.launchpad.net/bugs/1029476

Title:
  Remove qt-x11-free from the archive

Status in “alsa-tools” package in Ubuntu:
  Fix Released
Status in “beid” package in Ubuntu:
  Fix Released
Status in “earth3d” package in Ubuntu:
  Fix Released
Status in “gambas2” package in Ubuntu:
  Fix Released
Status in “inguma” package in Ubuntu:
  Fix Released
Status in “lsb” package in Ubuntu:
  New
Status in “python-qt3” package in Ubuntu:
  New
Status in “qt-x11-free” package in Ubuntu:
  New
Status in “scim-bridge” package in Ubuntu:
  Fix Released
Status in “willowng” package in Ubuntu:
  Fix Released
Status in “xbmc” package in Ubuntu:
  Fix Released
Status in “xxdiff” package in Ubuntu:
  Fix Released
Status in “alsa-tools” package in Debian:
  Unknown
Status in “gambas2” package in Debian:
  Unknown
Status in “inguma” package in Debian:
  New
Status in “lsb” package in Debian:
  Unknown
Status in “python-qt3” package in Debian:
  Unknown
Status in “qt-x11-free” package in Debian:
  Unknown
Status in “scim-bridge” package in Debian:
  Unknown
Status in “xbmc” package in Debian:
  Unknown
Status in “xxdiff” package in Debian:
  Unknown

Bug description:
  Qt3 has been EOL'd by Trolltech (now a division of Nokia) back in
  2008. It is unmaintained through and through, and it is time to move
  on.

  To quote Jonathan Riddell from a mail to ubuntu-devel:
  "Qt 3 is old, unmaintained and unused by anything anyone cares about.
  It's been removed from Debian.  So I propose we remove it from Ubuntu
  too, just after an LTS is a good time to do this.  This will mean we
  are not compliant with lsb-desktop but a standard which uses obsolete
  technologies isn't any use to anyone."

  This bug will serve as a metabug for packages that either need removal
  or modifications to remove Qt3 reverse dependencies.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-tools/+bug/1029476/+subscriptions




More information about the foundations-bugs mailing list